### Getting started with angular-cli

#### Installing angular-cli

> _Note_: you can skip this part if you already have application generated by `ng-cli` and webpack

```bash
npm i -g @angular/cli
ng new my-app
cd my-app
ng serve
```

#### Adding mis-ui-library

-   Install `mis-ui-library` and `bootstrap`

 ```bash
      npm install mis-ui-library bootstrap --save
 ```

-   Open `src/app/app.module.ts` and add:

```typescript
import { AlertModule } from 'mis-ui-library';
...

@NgModule({
   ...
   imports: [AlertModule.forRoot(), ... ],
   ...
})
```

-   Open `angular.json` and insert a new entry into the styles array:

```json
      "styles": [
         "./node_modules/bootstrap/dist/css/bootstrap.min.css",
        "styles.css",
      ],
```

-   Open `src/app/app.component.html` and add:

```html
    <alert type="success">hello</alert>
```
